APT-CACHE(8)

NOM
apt-cache - Gestion des paquets et manipulation du cache par APT

SYNOPSIS

apt-cache [-hvsn] [-o=option de configuration] [-c=fichier] {[add fichier...] | [gencaches] | [showpkg paquet...] | [showsrc paquet...] | [stats] | [dump] | [dumpavail] | [unmet] | [search regex] | [show paquet...] | [depends paquet...] | [rdepends paquet...] | [pkgnames prefix] | [dotty paquet...] | [policy paquets...] | [madison paquets...]}

DESCRIPTION

apt-cache réalise différentes opérations sur le cache de paquet d' APT. apt-cache ne manipule pas l'état du système mais fournit des moyens de recherche dans les métadonnées d'un paquet desquelles il extrait d'intéressantes informations.

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

add fichier(s)
    La commande add ajoute des fichiers indexant des paquets au cache des paquets. Cela sert uniquement pour le débogage.

gencaches
    La commande gencaches fait la même chose que apt-get check. Elle construit les caches des sources et des paquets à partir des sources répertoriées dans sources.list(5)et dans /var/lib/dpkg/status.

showpkg paquet(s)
    La commande showpkg affiche des informations sur les paquets donnés en argument. Les arguments restants sont les noms de paquets. Les versions disponibles et les dépendances inverses de chaque paquet répertorié sont listées, ainsi que les dépendances normales pour chaque version. Les dépendances normales d'un paquet sont constituées par les paquets dont il dépend ; les dépendances inverses sont les paquets qui dépendent du paquet en question. Les dépendances normales doivent donc être satisfaites et les dépendances inverses n'ont pas besoin de l'être. Ainsi, la commande apt-cache showpkg libreadline2 donnera ce résultat :

        Package: libreadline2
        Versions: 2.1-12(/var/state/apt/lists/foo_Packages),
        Reverse Depends:
          libreadlineg2,libreadline2
          libreadline2-altdev,libreadline2
        Dependencies:
        2.1-12 - libc5 (2 5.4.0-0) ncurses3.0 (0 (null))
        Provides:
        2.1-12 -
        Reverse Provides:
    On peut voir que libreadline2, version 2.1-12, dépend de libc5, ncurses3.0 ; ces paquets doivent être installés au préalable pour que libreadline2 fonctionne. À leur tour, libreadlineg2 et libreadline2-altdev dépendent de libreadline2. Si libreadline2 est installé, libc5 et ncurses3.0 doivent être installés ; libreadlineg2 et libreadline2-altdev n'ont pas à l'être. Pour connaître le sens de la fin de chaîne, il est préférable de consulter le code source d'APT.

stats
    La commande stats affiche des statistiques à propos du cache. Aucun autre argument n'est attendu. Voici les informations rapportées :

        • Total package names est le nombre de paquets trouvés dans le cache.

        • Normal packages est le nombre de paquets simples, ordinaires ; ces paquets tolèrent une correspondance bijective entre leur nom et le nom utilisé par les autres paquets pour les qualifier comme dépendance. La majorité des paquets appartient à cette catégorie.

        • Pure virtual packages est le nombre des paquets qui n'existent que sous la forme d'un nom représentant un paquet virtuel ; ces paquets « fournissent » seulement un nom de paquet virtuel et aucun paquet n'utilise véritablement ce nom. Par exemple, au sein du système Debian GNU/Linux, le nom « mail-transport-agent » est un paquet virtuel pur ; plusieurs paquets peuvent « remplir » ce nom « mail-transport-agent », mais il n'existe aucun paquet nommé « mail-transport-agent ».

        • Single virtual packages est le nombre de paquets virtuels qui ne peuvent être remplis que par un seul paquet. Par exemple, au sein du système Debian GNU/Linux, « X11-text-viewer » est un paquet virtuel ; seul le paquet « xless » remplit « X11-text-viewer ».

        • Mixed virtual packages est le nombre des paquets qui remplissent un paquet virtuel particulier ou dont le nom est un nom de paquet virtuel. Par exemple, au sein du système Debian GNU/Linux, « debconf » est un paquet réel et il est aussi fourni par « debconf-tiny ».

        • Missing est le nombre de paquets référencés dans une dépendance mais qui ne sont fournis par aucun paquet. Les paquets manquants peuvent être mis en évidence quand on n'accède pas à une distribution complète ou si un paquet (réel ou virtuel) a été sorti d'une distribution. Habituellement on les trouve dans les champs « Conflicts ».

        • Total distinct versions est le nombre de versions de paquets trouvées dans le cache ; cette valeur est par conséquent au moins égale au nombre total de paquets. Quand on accède à plus d'une distribution (« stable » et « unstable », par exemple), cette valeur peut être considérablement plus grande que le nombre total de paquets.

        • Total dependencies est le nombre de relations de dépendances déclarées par tous les paquets présents dans le cache.

showsrc paquet(s)
    showsrc affiche toutes les entrées de paquet source qui correspondent aux noms donnés. Toutes les versions sont affichées et toutes les entrées qui déclarent que ces noms correspondent à des paquets binaires.

dump
    La commande dump affiche un court résumé sur chaque paquet du cache. Elle est d'abord destinée au débogage.

dumpavail
    La commande dumpavail affiche sur la sortie standard une liste des paquets disponibles. Elle convient à une utilisation avec dpkg(8) et la méthode dselect(8) s'en sert.

unmet
    La commande unmet affiche un résumé concernant toutes les dépendances absentes dans le cache de paquets.

show paquet(s)
    La commande show est semblable à dpkg --print-avail ; elle affiche des informations sur les paquets donnés en argument.

search regex [ regex ... ]
    La commande search recherche l'expression régulière donnée en argument sur tous les paquets disponibles. Elle cherche une occurrence de la chaîne dans les noms de paquets et dans les descriptions puis elle affiche le nom du paquet et sa description courte. Quand on donne l'option --full, la sortie est identique à show pour chaque paquet ; l'option --names-only ne recherche pas la chaîne dans les descriptions longues mais seulement dans les noms de paquets.

    On peut utiliser des arguments distincts pour indiquer des expressions régulières différentes sur lesquelles sera réalisé un « et » logique.

depends paquet(s)
    La commande depends affiche la liste de toutes les dépendances d'un paquet et la liste de tous les paquets possibles qui satisfont ces dépendances.

rdepends paquet(s)
    La commande rdepends affiche la liste de toutes les dépendances inverses d'un paquet.

pkgnames [ prefix ]
    Cette commande affiche le nom de chaque paquet du système. Un préfixe pour filtrer la liste des noms peut être donné en argument. La sortie est appropriée à une utilisation au sein d'une fonction complète de shell ; elle est produite très rapidement. On utilise au mieux cette commande avec l'option --generate.

dotty paquet(s)
    La commande dotty prend une liste de paquets sur la ligne de commande et affiche une sortie appropriée à une utilisation par la commande dotty du paquet GraphViz[1]. Il en résulte un ensemble de noeuds et d'arcs représentant les relations entre les paquets. Par défaut les paquets donnés en argument suivent toutes leurs dépendances, ce qui peut produire un graphe très volumineux. Pour limiter la sortie aux seuls paquets listés sur la ligne de commande, positionnez l'option APT::Cache::GivenOnly.

    Les noeuds résultants ont plusieurs formes ; les paquets normaux sont des boîtes, les « provides » purs sont des triangles, les « provides » mixtes sont des diamants et les paquets manquants sont des hexagones. Les boîtes oranges expriment un arrêt de la récursivité [paquet feuille], les lignes bleues représentent des prédépendances et les lignes vertes représentent des conflits.

    Attention, dotty ne peut pas représenter des ensembles très grands de paquets.

policy [ paquet(s) ]
    policy sert à déboguer des problèmes relatifs au fichier des préférences. Sans argument, la commande affiche la priorité de chaque source. Sinon, elle affiche des informations précises sur la priorité du paquet donné en argument.

madison [ paquet(s) ]
    La commande madison d'apt-cache cherche à mimer le format de sortie propre à l'outil debian de gestion d'archives, madison, ainsi qu'une part de ses fonctionnalités. Elle affiche les versions disponibles d'un paquet dans un tableau. Contrairement au programme original madison, elle n'affiche que des informations concernant l'architecture pour laquelle Apt a lu la liste des paquets disponibles (APT::Architecture).

OPTIONS

Toutes les options en ligne de commande peuvent être positionnées via le fichier de configuration ; les descriptifs indiquent l'option de configuration à positionner. En ce qui concerne les options booléennes, on peut annuler le fichier de configuration en utilisant quelque chose comme -f-,--no-f, -f=no ou d'autres variantes.

-p, --pkg-cache
    Indique le fichier servant de cache des paquets. Le cache des paquets est le cache primaire utilisé par toutes les opérations. Élément de configuration : Dir::Cache::pkgcache.

-s, --src-cache
    Indique le fichier servant de cache des sources. Ce cache n'est utilisé que par gencaches ; une version des informations sur les paquets, faite à partir d'une analyse de sources distantes, est conservée. Quand le cache des paquets est créé, le cache des sources est utilisé afin d'éviter d'analyser à nouveau tous les paquets. Élément de configuration : Dir::Cache::srcpkgcache.

-q, --quiet
    Mode silencieux ; produit une sortie pertinente pour l'enregistrement dans un fichier-journal, sans afficher d'indicateur de progression. Un plus grand nombre de q produira un plus grand silence, avec un maximum de 2. Vous pouvez aussi utiliser -q=# pour positionner le niveau de silence, annulant le fichier de configuration. Élément de configuration : quiet.

-i, --important
    N'affiche que les dépendances importantes ; à utiliser avec la commande unmet pour n'afficher que les relations Depends et Pre-Depends. Élément de configuration : APT::Cache::Important.

-f, --full
    Affiche la totalité des champs d'information sur le paquet lors d'une recherche. Élément de configuration : APT::Cache::ShowFull.

-a, --all-versions
    Affiche la totalité des champs d'information pour toutes les versions disponibles : c'est la valeur par défaut. Pour la désactiver, utilisez l'option --no-all-versions. Quand l'option --no-all-versions est choisie, seuls les éléments de la version choisie (celle qui serait installée) seront affichés. Cette option concerne seulement la commande show. Élément de configuration : APT::Cache::AllVersions.

-g, --generate
    Réalise une mise à jour automatique du cache des paquets plutôt que de se servir du cache actuel. Pour désactiver cette option (option par défaut), utilisez l'option --no-generate. Élément de configuration : APT::Cache::Generate.

--names-only, -n
    N'effectue une recherche que sur les noms de paquets et pas sur les descriptions longues. Élément de configuration : APT::Cache::NamesOnly.

--all-names
    Avec cette option pkgnames affiche tous les noms, les noms des paquets virtuels et les dépendances manquantes. Élément de configuration : APT::Cache::AllNames.

--recurse
    Avec cette option depends et rdepends sont récursives de manière à n'afficher qu'une seule fois les paquets mentionnés. Élément de configuration : APT::Cache::RecurseDepends.

--installed
    Cette option limite la sortie de depends et de rdepends aux paquets qui sont actuellement installés. Élément de configuration : APT::Cache::Installed.

-h, --help
    Affiche un mode d'emploi succinct.

-v, --version
    Affiche la version du programme.

-c, --config-file
    Fichier de configuration ; indique quel fichier de configuration utiliser. Le programme lit le fichier de configuration par défaut, puis celui-ci. Voyez apt.conf(5) pour la syntaxe.

-o, --option
    Donne une option de configuration ; cela fixe une option de configuration arbitraire. La syntaxe est : -o Foo::Bar=bar.

FICHIERS

/etc/apt/sources.list
    Emplacements où aller chercher les paquets. Élément de configuration : Dir::Etc::SourceList.

/var/lib/apt/lists/
    Zone de stockage pour les informations qui concernent chaque ressource de paquet spécifiée dans sources.list(5)Élément de configuration : Dir::State::Lists.

/var/lib/apt/lists/partial/
    Zone de stockage pour les informations en transit. Élément de configuration : Dir::State::Lists (partial est implicite).

VOIR AUSSI

apt.conf(5), sources.list(5), apt-get(8).

DIAGNOSTICS

apt-cache retourne zéro après un déroulement normal, et le nombre décimal 100 en cas d'erreur.

BOGUES

Voyez la page concernant les bogues d'APT[2]. Si vous voulez signaler un bogue, consultez le texte /usr/share/doc/debian/bug-reporting.txt ou utilisez la commande reportbug(1).

TRADUCTION

Jérôme Marant. 2000 ; mise à jour : Philippe Batailler. 2005. <debian-l10n-french@lists.debian.org>.

AUTHORS

Jason Gunthorpe

    Auteur.

APT team

    Auteur.

NOTES

1.  GraphViz
    http://www.research.att.com/sw/tools/graphviz/

2.  page concernant les bogues d'APT
    http://bugs.debian.org/src:apt